Bug 138786 - mklivecd from readonly-root package has script errors
mklivecd from readonly-root package has script errors
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: star (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-11 00:49 EST by Mike Yeo
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 17:05:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Yeo 2004-11-11 00:49:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041002
Firefox/0.10.1

Description of problem:
mklivecd line 106: should read "echo ..." not "ech"

mklivecd line 107: I had to modify this line to copy the
boot/initrd-$kernel.img file rather than boot/isolinux/initrd.img -
not certain if that was correct or not, but I do not have the
initrd.img file in the isolinux directory.

Further, and not certain if this belongs here, but once the script has
finished running, I burn the ISO and get the following message on boot
of the Live CD:

Creating root device
Mounting root filesystem
mount: error 6 mounting ext3
mount: error 2 mounting none
Switching to new root
switchroot: mount failed: 22
umount /initrd/dev failed: 2
Kernel panic - not syncing: Attempted to kill init!

I followed the directions for creating the live CD from the
Stateless-Linux docs on the Fedora web site.  I don't believe I have
missed and steps (although I did skip the LDAP changes because I don't
intend on using it). I did see another similar problem reported on
LinuxQuestions.org that seemed to report similar problems in a
different situation that may be of assistance in tracking the issue:
http://www.linuxquestions.org/questions/history/246733


If you require I would be happy to provide you with any additional
information.

Version-Release number of selected component (if applicable):
readonly-root-0.10-1

How reproducible:
Always

Steps to Reproduce:
1. Follow Stateless-Linux instructions using FC3test3 for install of
readonly-root
2. Open /usr/share/readonly-root/mklivecd, fix line 106 and 107 as
listed above
3. Continue with the Stateless-Linux instructions to create a LiveCD
(in short, create a new lv partition on your server, rsync the entire
filesystem for the system you wish to make into a live cd - in my case
this was a FC3test3 Minimal install, modify fstab in the copy and
remove the swap line)
4. After you run the mklivecd command, burn the CD and reboot with the
newly created live CD.
5. The boot process should stop with the errors described above.
    

Actual Results:  On boot you get the following:

Creating root device
Mounting root filesystem
mount: error 6 mounting ext3
mount: error 2 mounting none
Switching to new root
switchroot: mount failed: 22
umount /initrd/dev failed: 2
Kernel panic - not syncing: Attempted to kill init!

Expected Results:  An actual booted Live CD.

Additional info:
Comment 1 Harald Hoyer 2004-11-11 06:12:59 EST
please change the component!
Comment 2 Matthew Miller 2006-07-10 17:09:49 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 John Thacker 2006-10-30 17:05:57 EST
The Stateless Linux readonly-root package never really had its own component,
did it?  Anyway, it's changed quite a bit since FC3.  Check out the
documentation here:

http://fedoraproject.org/wiki/StatelessLinux

if you're still interesting.  I'm closing this bug, though, since StatelessLinux
has changed so much since this was filed.

Note You need to log in before you can comment on or make changes to this bug.